package com.dxhy.core.job.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.core.job.entity.SysDept;
import com.dxhy.core.job.entity.TDxViolationTaxno;

import java.util.List;

/**
 * @author user
 */
public interface ViolationTaxnoService extends IService<TDxViolationTaxno> {
    List<SysDept> selectCompanyByViolationStatus();

    List<String> selectTaxnoByCompany(String company);

    List<TDxViolationTaxno> selectViolationTaxno(String company, String createDate, List<String> gfshList,
        String dbName);

    void insertTaxno(List<TDxViolationTaxno> taxnoList, String company);

    List<TDxViolationTaxno> selectViolationTaxnoByXf();
}
